<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: OpticalFlowData.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_optical_flow_data_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">OpticalFlowData.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_optical_flow_data_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef OPTICALFLOWDATA_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define OPTICALFLOWDATA_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;cxcore.h&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="io__data_8h.html">io_data.h</a>&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">namespace </span>framework { <span class="keyword">namespace </span>filter {</div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="classframework_1_1filter_1_1_optical_flow_data.html">   26</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1filter_1_1_optical_flow_data.html">OpticalFlowData</a>: <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1io__data.html">core::io_data</a> {</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="keyword">public</span>:</div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classframework_1_1filter_1_1_optical_flow_data_1_1_type.html">   28</a></span>&#160;        <span class="keyword">class </span><a class="code" href="classframework_1_1filter_1_1_optical_flow_data_1_1_type.html">Type</a>: <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1_data_type.html">core::DataType</a> {</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;            <span class="keywordtype">size_t</span> GetSize()<span class="keyword"> const </span>{<span class="keywordflow">return</span> 0;} <span class="comment">//TODO</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;            std::string GetDescription()<span class="keyword"> const </span>{<span class="keywordflow">return</span> <span class="stringliteral">&quot;optical flow&quot;</span>;}</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;        };</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        <a class="code" href="classframework_1_1filter_1_1_optical_flow_data.html#a57dfc783629016b02608903516e536f2">OpticalFlowData</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_object.html">core::Object</a>* parent,uint32_t max_features,std::string name=<span class="stringliteral">&quot;&quot;</span>,uint32_t n=1);</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <a class="code" href="classframework_1_1filter_1_1_optical_flow_data.html#af48c6b4c7054017216fb96a84a690d0e">~OpticalFlowData</a>();</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        CvPoint* <a class="code" href="classframework_1_1filter_1_1_optical_flow_data.html#a964c13a0acbe0993ad3bfe7dafc8830d">PointsA</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        CvPoint2D32f* <a class="code" href="classframework_1_1filter_1_1_optical_flow_data.html#aa3ee8e52f63e598ccba72b3155f8de03">PointsB</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        <span class="keywordtype">char</span> *<a class="code" href="classframework_1_1filter_1_1_optical_flow_data.html#a96e8b5c3c18dfbaabcbd0e75f35ebd73">FoundFeature</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        uint32_t *<a class="code" href="classframework_1_1filter_1_1_optical_flow_data.html#a5638493265b71d55d1ea2da5eb44de4c">FeatureError</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_optical_flow_data.html#ad831b5e0dd48c1ae1e7461d7e9f26987">SetPointsA</a>(<span class="keyword">const</span> CvPoint *points);</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_optical_flow_data.html#a053766052f93807722dd4dac94a484d9">SetPointsB</a>(<span class="keyword">const</span> CvPoint2D32f *points);</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_optical_flow_data.html#a6832d846d69c9c1dccd619bcec77394d">SetFoundFeature</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *found_features);</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_optical_flow_data.html#aed60f4c9d684726c2fc2f68260368971">SetFeatureError</a>(<span class="keyword">const</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> *features_error);</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;        uint32_t <a class="code" href="classframework_1_1filter_1_1_optical_flow_data.html#afb1f2c8e781bdc1d9f9096313c395b98">MaxFeatures</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;        uint32_t <a class="code" href="classframework_1_1filter_1_1_optical_flow_data.html#a4884237d0c0d6e299d18188f854e7714">NbFeatures</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_optical_flow_data.html#a3ec3510c42cf1c8ba085de4e872514e5">SetNbFeatures</a>(uint32_t value);</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_optical_flow_data.html#a409c26e838e0e4627c31d2e6f0d910ad">Resize</a>(uint32_t value);</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;        <a class="code" href="classframework_1_1filter_1_1_optical_flow_data_1_1_type.html">OpticalFlowData::Type</a> <span class="keyword">const</span> &amp;GetDataType()<span class="keyword"> const </span>{<span class="keywordflow">return</span> dataType;}</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    <span class="keyword">private</span>:</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;        uint32_t max_features;</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;        uint32_t nb_features;</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;        CvPoint* pointsA;</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;        CvPoint2D32f* pointsB;</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;        <span class="keywordtype">char</span> *found_features;</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;        uint32_t *features_error;</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;        <span class="keywordtype">void</span> CopyDatas(<span class="keywordtype">char</span>* dst) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;        Type dataType;</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;    };</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;} <span class="comment">// end namespace filter</span></div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;<span class="preprocessor">#endif // OPTICALFLOWDATA_H</span></div>
<div class="ttc" id="classframework_1_1filter_1_1_optical_flow_data_html_a96e8b5c3c18dfbaabcbd0e75f35ebd73"><div class="ttname"><a href="classframework_1_1filter_1_1_optical_flow_data.html#a96e8b5c3c18dfbaabcbd0e75f35ebd73">framework::filter::OpticalFlowData::FoundFeature</a></div><div class="ttdeci">char * FoundFeature(void) const </div><div class="ttdoc">Features found. </div></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:69</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_optical_flow_data_html_a964c13a0acbe0993ad3bfe7dafc8830d"><div class="ttname"><a href="classframework_1_1filter_1_1_optical_flow_data.html#a964c13a0acbe0993ad3bfe7dafc8830d">framework::filter::OpticalFlowData::PointsA</a></div><div class="ttdeci">CvPoint * PointsA(void) const </div><div class="ttdoc">Points on first image. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_optical_flow_data_html_aa3ee8e52f63e598ccba72b3155f8de03"><div class="ttname"><a href="classframework_1_1filter_1_1_optical_flow_data.html#aa3ee8e52f63e598ccba72b3155f8de03">framework::filter::OpticalFlowData::PointsB</a></div><div class="ttdeci">CvPoint2D32f * PointsB(void) const </div><div class="ttdoc">Points on second image. </div></div>
<div class="ttc" id="io__data_8h_html"><div class="ttname"><a href="io__data_8h.html">io_data.h</a></div><div class="ttdoc">Abstract class for data types. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_optical_flow_data_html_af48c6b4c7054017216fb96a84a690d0e"><div class="ttname"><a href="classframework_1_1filter_1_1_optical_flow_data.html#af48c6b4c7054017216fb96a84a690d0e">framework::filter::OpticalFlowData::~OpticalFlowData</a></div><div class="ttdeci">~OpticalFlowData()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_optical_flow_data_html_ad831b5e0dd48c1ae1e7461d7e9f26987"><div class="ttname"><a href="classframework_1_1filter_1_1_optical_flow_data.html#ad831b5e0dd48c1ae1e7461d7e9f26987">framework::filter::OpticalFlowData::SetPointsA</a></div><div class="ttdeci">void SetPointsA(const CvPoint *points)</div><div class="ttdoc">Set points of interest of frst image. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_data_type_html"><div class="ttname"><a href="classframework_1_1core_1_1_data_type.html">framework::core::DataType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:21</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_optical_flow_data_html_a5638493265b71d55d1ea2da5eb44de4c"><div class="ttname"><a href="classframework_1_1filter_1_1_optical_flow_data.html#a5638493265b71d55d1ea2da5eb44de4c">framework::filter::OpticalFlowData::FeatureError</a></div><div class="ttdeci">uint32_t * FeatureError(void) const </div><div class="ttdoc">Correlation error. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_object_html"><div class="ttname"><a href="classframework_1_1core_1_1_object.html">framework::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:75</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_optical_flow_data_html_a409c26e838e0e4627c31d2e6f0d910ad"><div class="ttname"><a href="classframework_1_1filter_1_1_optical_flow_data.html#a409c26e838e0e4627c31d2e6f0d910ad">framework::filter::OpticalFlowData::Resize</a></div><div class="ttdeci">void Resize(uint32_t value)</div><div class="ttdoc">Change number of maximum features. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_optical_flow_data_html_a3ec3510c42cf1c8ba085de4e872514e5"><div class="ttname"><a href="classframework_1_1filter_1_1_optical_flow_data.html#a3ec3510c42cf1c8ba085de4e872514e5">framework::filter::OpticalFlowData::SetNbFeatures</a></div><div class="ttdeci">void SetNbFeatures(uint32_t value)</div><div class="ttdoc">Set number of tracked features. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_optical_flow_data_html"><div class="ttname"><a href="classframework_1_1filter_1_1_optical_flow_data.html">framework::filter::OpticalFlowData</a></div><div class="ttdoc">Class defining optical flow datas. </div><div class="ttdef"><b>Definition:</b> OpticalFlowData.h:26</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_optical_flow_data_html_a57dfc783629016b02608903516e536f2"><div class="ttname"><a href="classframework_1_1filter_1_1_optical_flow_data.html#a57dfc783629016b02608903516e536f2">framework::filter::OpticalFlowData::OpticalFlowData</a></div><div class="ttdeci">OpticalFlowData(const core::Object *parent, uint32_t max_features, std::string name=&quot;&quot;, uint32_t n=1)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_optical_flow_data_html_aed60f4c9d684726c2fc2f68260368971"><div class="ttname"><a href="classframework_1_1filter_1_1_optical_flow_data.html#aed60f4c9d684726c2fc2f68260368971">framework::filter::OpticalFlowData::SetFeatureError</a></div><div class="ttdeci">void SetFeatureError(const unsigned int *features_error)</div><div class="ttdoc">Set features error. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_optical_flow_data_html_a053766052f93807722dd4dac94a484d9"><div class="ttname"><a href="classframework_1_1filter_1_1_optical_flow_data.html#a053766052f93807722dd4dac94a484d9">framework::filter::OpticalFlowData::SetPointsB</a></div><div class="ttdeci">void SetPointsB(const CvPoint2D32f *points)</div><div class="ttdoc">Set points of interest of second image. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_optical_flow_data_1_1_type_html"><div class="ttname"><a href="classframework_1_1filter_1_1_optical_flow_data_1_1_type.html">framework::filter::OpticalFlowData::Type</a></div><div class="ttdef"><b>Definition:</b> OpticalFlowData.h:28</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_optical_flow_data_html_a4884237d0c0d6e299d18188f854e7714"><div class="ttname"><a href="classframework_1_1filter_1_1_optical_flow_data.html#a4884237d0c0d6e299d18188f854e7714">framework::filter::OpticalFlowData::NbFeatures</a></div><div class="ttdeci">uint32_t NbFeatures(void) const </div><div class="ttdoc">Number of tracked features. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_optical_flow_data_html_a6832d846d69c9c1dccd619bcec77394d"><div class="ttname"><a href="classframework_1_1filter_1_1_optical_flow_data.html#a6832d846d69c9c1dccd619bcec77394d">framework::filter::OpticalFlowData::SetFoundFeature</a></div><div class="ttdeci">void SetFoundFeature(const char *found_features)</div><div class="ttdoc">Set found features. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_optical_flow_data_html_afb1f2c8e781bdc1d9f9096313c395b98"><div class="ttname"><a href="classframework_1_1filter_1_1_optical_flow_data.html#afb1f2c8e781bdc1d9f9096313c395b98">framework::filter::OpticalFlowData::MaxFeatures</a></div><div class="ttdeci">uint32_t MaxFeatures(void) const </div><div class="ttdoc">Number of maximum features. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_fe46344826a09271daf0b94572bf98c3.html">Filter</a></li><li class="navelem"><a class="el" href="dir_2d63b318a579ad532ef11df207587c97.html">src</a></li><li class="navelem"><a class="el" href="_optical_flow_data_8h.html">OpticalFlowData.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
